; This is an example of how to call library functions in Super Nova.
; First, a horizontal line is drawn and a keypress is requested.  Then it is
; moved up 20 units and another keypress is required.  Then a vertical line
; is drawn. We wait for a key once again, then exit.
; Compile with TASM and use "MAKESN.EXE EXAMPLE2 SN"
; Please note that LIB1.85S is required to run this program!

#include "TI-85.H"
.org 0
.db "Library Example",0               ; The title of our program
.db 1                                 ; Number of libraries bound to program
.db  "lib1",0                         ; Z-terminated name of libraries
                                      ; Each library is automatically given
                                      ; a number, based on the order they
                                      ; are declared.  For example, lib1 is
                                      ; library 0.  If there were another
                                      ; library after that, it would be
                                      ; library 1.
start:
        ROM_CALL(CLEARLCD)            ; Clear the screen  

        ld c,32
        CALL_LIB(0,0)                 ; Call library 0, function 0
        CALL_(Wait)                   ; Wait for Keypress

        ld b, 64
        CALL_LIB(0,1)                 ; Call library 0, function 1
        CALL_(Wait)                   ; Wait for Keypress

        ld b,20
loop:
        CALL_LIB(0,2)                 ; Call library 0, function 2
        djnz loop
        CALL_(Wait)                   ; Wait for Keypress  

        ret                           ; Return to SuperNova  

Wait:                                 ; Wait for Keypress Routine  
        call GET_KEY
        cp 0
        jr z,Wait
        ret

.end
